org.apache.tinkerpop.gremlin.spark.structure.io.gryo

## Class ObjectWritableSerializer<T>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.spark.structure.io.gryo.ObjectWritableSerializer<T>

- All Implemented Interfaces:
    SerializerShim<ObjectWritable<T>>

      public final class ObjectWritableSerializer<T>
      extends Object
      implements SerializerShim<ObjectWritable<T>>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectWritableSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<I extends InputShim> ObjectWritable<T>` | `read(KryoShim<I,?> kryo, I input, Class<ObjectWritable<T>> clazz)`
    `<O extends OutputShim> void` | `write(KryoShim<?,O> kryo, O output, ObjectWritable<T> starGraph)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.SerializerShim

      `isImmutable`

- - ### Constructor Detail

    - #### ObjectWritableSerializer

          public ObjectWritableSerializer()

  - ### Method Detail

    - #### write

          public <O extends OutputShim> void write(KryoShim<?,O> kryo,
                                                   O output,
                                                   ObjectWritable<T> starGraph)

      Specified by:
        `write` in interface `SerializerShim<ObjectWritable<T>>`

    - #### read

          public <I extends InputShim> ObjectWritable<T> read(KryoShim<I,?> kryo,
                                                              I input,
                                                              Class<ObjectWritable<T>> clazz)

      Specified by:
        `read` in interface `SerializerShim<ObjectWritable<T>>`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.